Package org.apache.storm.perf

# Class SimplifiedWordCountTopo

java.lang.Object
org.apache.storm.perf.SimplifiedWordCountTopo

public class SimplifiedWordCountTopo extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `BOLT_NUM`
  `static final String`
  `COUNT_ID`
  `static final int`
  `DEFAULT_COUNT_BOLT_NUM`
  `static final int`
  `DEFAULT_SPOUT_NUM`
  `static final String`
  `INPUT_FILE`
  `static final String`
  `SPOUT_ID`
  `static final String`
  `SPOUT_NUM`
  `static final String`
  `TOPOLOGY_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimplifiedWordCountTopo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `main(String[] args)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SPOUT_ID

    public static final String SPOUT_ID
    See Also:
      - Constant Field Values

  - ### COUNT_ID

    public static final String COUNT_ID
    See Also:
      - Constant Field Values

  - ### TOPOLOGY_NAME

    public static final String TOPOLOGY_NAME
    See Also:
      - Constant Field Values

  - ### SPOUT_NUM

    public static final String SPOUT_NUM
    See Also:
      - Constant Field Values

  - ### BOLT_NUM

    public static final String BOLT_NUM
    See Also:
      - Constant Field Values

  - ### INPUT_FILE

    public static final String INPUT_FILE
    See Also:
      - Constant Field Values

  - ### DEFAULT_SPOUT_NUM

    public static final int DEFAULT_SPOUT_NUM
    See Also:
      - Constant Field Values

  - ### DEFAULT_COUNT_BOLT_NUM

    public static final int DEFAULT_COUNT_BOLT_NUM
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SimplifiedWordCountTopo

    public SimplifiedWordCountTopo()

- ## Method Details

  - ### main

    public static void main(String[] args) throws Exception
    Throws:
      `Exception`